
TYPO3.Fluid - Bug # 38873

Status: Resolved Priority: Should have
Author: Christian Müller Category:
Created: 2012-07-11 Assigned To: Christian Müller
Updated: 2012-07-12 Due date:
Has patch: No
Affected Flow version: Git 1.2 (master)
Subject: Remove eval from StandaloneViewTest
Description

StandaloneViewTest uses eval to create a class that inherits from StandaloneView to override some things. This doesn't work properly
with proxy classes and is evil anyway!

Associated revisions
Revision ec1b9049 - 2012-07-12 12:01 - Christian Müller

[BUGFIX] Remove eval from StandaloneViewTest

Removes the use of eval from the StandaloneViewTest so that
now a Fixture class is used that extends the StandaloneView.

Change-Id: Id171056e247e1f83ac1360915489762c85cc458a
Fixes: #38873
Related: #31179
Releases: 1.1, 1.2

Revision 50370f1a - 2012-07-12 12:17 - Karsten Dambekalns

[BUGFIX] Move functional test configuration to Testing

This moves the functional test configuration to the
Testing context, to avoid errors in other contexts.

Change-Id: Iaec644e50a241c6391cb9dcacaa14274910e1ae0
Related: #38873
Releases: 1.2

Revision 73c686b0 - 2012-07-12 12:20 - Christian Müller

[BUGFIX] Remove eval from StandaloneViewTest

Removes the use of eval from the StandaloneViewTest so that
now a Fixture class is used that extends the StandaloneView.

Change-Id: Id171056e247e1f83ac1360915489762c85cc458a
Fixes: #38873
Related: #31179
Releases: 1.1, 1.2
History
#1 - 2012-07-11 13:59 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12753

#2 - 2012-07-11 13:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12753

#3 - 2012-07-12 12:01 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12753

#4 - 2012-07-12 12:02 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12760

#5 - 2012-07-12 12:20 - Gerrit Code Review

Patch set 2 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12760

#6 - 2012-07-12 12:35 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:73c686b0ff4710e2a89f30a526f9bdb132723f95.
